@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@400;500;700&display=swap");

body {
  font-family: "Raleway", sans-serif;
}

.card {
  position: relative;
  display: flex;
  place-content: center;
  place-items: center;
  overflow: hidden;
  border-radius: 20px;
  --start-color: rgb(0, 183, 255);
  --end-color: rgb(29, 25, 29);
  z-index: 0;
}

.card::before {
  content: "";
  position: absolute;
  width: 140%;
  height: 61%;
  background-image: linear-gradient(
    180deg,
    var(--start-color),
    var(--end-color)
  );
  animation: rotBGimg 3s linear infinite;
  transition: all 0.2s linear;
  z-index: 0;
}

.card::after {
  content: "";
  position: absolute;
  background: white;
  inset: 5px;
  border-radius: 15px;
  z-index: 1;
}
.card > * {
  position: relative;
  z-index: 2;
}

@keyframes rotBGimg {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.btn-magnetic {
  position: relative;
  overflow: hidden;
}
.btn-magnetic span {
  position: relative;
  z-index: 2;
}
.btn-magnetic::before {
  content: "";
  position: absolute;
  background: radial-gradient(
    circle at var(--x, 50%) var(--y, 50%),
    rgba(255, 255, 255, 0.3),
    transparent 70%
  );
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.3s;
}
.btn-magnetic:hover::before {
  opacity: 1;
}

#title,
#description,
#key1,
#key2,
#key3,
#img {
  transition: opacity 1s ease-in-out;
}

[id^="key"] {
  transition: all 0.3s ease;
}

[id^="key"]:hover {
  transform: translateY(-3px);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

#particles-js-fo canvas {
  position: absolute !important;
  top: 0;
  left: 0;
  width: 100% !important;
  height: 100% !important;
  z-index: 1;
}

a.active {
  color: #04d5e0;
  font-weight: bold;
  border-bottom: 2px solid #04d5e0;
}
